# eric4.QScintilla.Lexers.LexerBash

Module implementing a Bash lexer with some additional methods.

### Classes

LexerBash | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerBash

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerBash, Lexer

### Methods

LexerBash | Constructor
initProperties | Public slot to initialize the properties.

#### LexerBash (Constructor)

LexerBash(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerBash.initProperties

initProperties()

Public slot to initialize the properties.

Up